// @flow

export const flags = {
  fileInUse:                        'fileInUse',
  unlockedWingCap:                  'unlockedWingCap',
  unlockedMetalCap:                 'unlockedMetalCap',
  unlockedVanishCap:                'unlockedVanishCap',
  hasKeyBasement:                   'hasKeyBasement',
  hasKeyUpstairs:                   'hasKeyUpstairs',
  keyDoorUnlockedBasement:          'keyDoorUnlockedBasement',
  keyDoorUnlockedUpstairs:          'keyDoorUnlockedUpstairs',
  direDireDocksPortalMoved:         'direDireDocksPortalMoved',
  moatDrained:                      'moatDrained',
  starDoorUnlockedSecretSlide:      'starDoorUnlockedSecretSlide',
  starDoorUnlockedWhompsFortress:   'starDoorUnlockedWhompsFortress',
  starDoorUnlockedCoolCoolMountain: 'starDoorUnlockedCoolCoolMountain',
  starDoorUnlockedJollyRogerBay:    'starDoorUnlockedJollyRogerBay',
  starDoorUnlockedBowserDarkWorld:  'starDoorUnlockedBowserDarkWorld',
  starDoorUnlockedBowserFireSea:    'starDoorUnlockedBowserFireSea',
  lostCapByLevelId:                 'lostCapByLevelId',
  lostCapInShiftingSandLand:        'lostCapInShiftingSandLand',
  lostCapTallTallMountain:          'lostCapTallTallMountain',
  lostCapSnowmansLand:              'lostCapSnowmansLand',
  starDoorUnlocked3rdFloor:         'starDoorUnlocked3rdFloor',
  unused1:                          'unused1',
  unused2:                          'unused2',
  unused3:                          'unused3',
}
